/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package state.events;

import transport.protocol.*;
import java.io.*;

/* ====================================================================== */
/** This class defines the basic structure for a event used to send data
 *  between agents in the simulation as part of a scenario.
 *
 */
public class UniEvent extends UnicastMessage implements Serializable{


    /* ===================================================================== */
    /** This constructor initializes the Message.
     *
     *  @param  p   The port the ipaq gps receiver is listening on.
     *
     */
  	public UniEvent(int to, int from){

		super("sim", to, from);

	} //Constructor



} //class: UniEvent

